tntdb-mysql4v5_1.3-3build1_i386.deb


Advertisement

Description

tntdb-mysql4v5 - MySQL backend for tntdb database access library

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: tntdb-mysql4v5
Package version: 1.3
Package release: 3build1
Package architecture: i386
Package type: deb
Installed size: 277 B
Download size: 70.74 KB
Official Mirror: archive.ubuntu.com
This library provides a thin, database independent layer over an SQL database. It lacks complex features like schema queries or wrapper classes like active result sets or data bound controls. Instead you get to access the database directly with SQL queries. The library is suited for application programming, not for writing generic database handling tools. This file has the necessary files for MySQL support.

Alternatives

Replaces

  • libtntdb-mysql4

    Download

    Source package: tntdb

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install tntdb-mysql4v5 deb package:
      # sudo apt-get install tntdb-mysql4v5

    Files

    • /usr/lib/tntdb/tntdb4-mysql.so
    • /usr/lib/tntdb/tntdb4-mysql.so.4
    • /usr/lib/tntdb/tntdb4-mysql.so.4.0.0
    • /usr/share/doc/tntdb-mysql4v5/AUTHORS
    • /usr/share/doc/tntdb-mysql4v5/README
    • /usr/share/doc/tntdb-mysql4v5/changelog.Debian.gz
    • /usr/share/doc/tntdb-mysql4v5/copyright

    Changelog

    2016-04-05 - Robie Basak <robie.basak@ubuntu.com> tntdb (1.3-3build1) xenial; urgency=medium * Rebuild against libmysqlclient20.

    2015-09-05 - Kari Pahula <kaol@debian.org> tntdb (1.3-3) unstable; urgency=medium * Bump library package names to 4v5 for C++ ABI transition. (Closes: #796719) * Bump Standards-Version to 3.9.6 (No changes necessary)

    2013-07-12 - Kari Pahula <kaol@debian.org> tntdb (1.3-2) unstable; urgency=low * Build-Conflicts: libtntdb3, libtntdb-dev (Closes: #716749)

    2013-05-25 - Kari Pahula <kaol@debian.org> tntdb (1.3-1) unstable; urgency=low * New upstream release (SONAME 4) * Standards-Version 3.9.4 and debhelper compat 9.

    2012-05-02 - Kari Pahula <kaol@debian.org> tntdb (1.2-2) unstable; urgency=low * Removed CXX=g++-4.7 from configure's parameters, fix FTBFS. (Closes: #671051) * This version won't FTBFS with g++-4.7 (assuming b-d or g++ (>= 4.7)) (Closes: #667393)

    2012-04-28 - Kari Pahula <kaol@debian.org> tntdb (1.2-1) unstable; urgency=low * New upstream release (SONAME 3) * Standards-Version 3.9.3 (no changes necessary). * Use dh-autoreconf * Run test suite at build time.

    2011-08-08 - Kari Pahula <kaol@debian.org> tntdb (1.1-1) unstable; urgency=low * New upstream release (SONAME 2) * Standards-Version 3.9.2 (no changes necessary). * Don't install .la files. (Closes: #633210) * debian/source/format "quilt (3.0)" and drop quilt as a build dependency. * Parse and use the parallel= DEB_BUILD_OPTION.

    2009-06-28 - Kari Pahula <kaol@debian.org> tntdb (1.0.1-3) unstable; urgency=low * Add -I m4/ aclocal's parameters, to make sure ACX_PTHREAD is recognized.

    2009-06-27 - Kari Pahula <kaol@debian.org> tntdb (1.0.1-2) unstable; urgency=low * Bumped Standards-Version to 3.8.2 (no changes). * Copy config.{sub,guess} from autotools-dev. (Closes: #533961) * Patch to add a few #include <stdint.h> statements to make g++ 4.4 happy. (Closes: #504975) * Add quilt as a build dependency. * Omit .a files from -dev package. * Add automake1.9 and autoconf as build deps and regenerate build scripts.

    2008-06-16 - Kari Pahula <kaol@debian.org> tntdb (1.0.1-1) unstable; urgency=low * New upstream release * Bumped Standards-Version to 3.8.0 (no changes).

    Advertisement
    Advertisement